petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMProjectField

This projects the given function of the fields into the function space provided.

### Synopsis

    #include "petscdm.h"
    #include "petscdmplex.h"
    #include "petscksp.h"
    PetscErrorCode DMProjectField(DM dm, Vec U,
                                  void (**funcs)(PetscInt, PetscInt, PetscInt,
                                                 const PetscInt[], const PetscInt[], const PetscScalar[], const PetscScalar[], const PetscScalar[],
                                                 const PetscInt[], const PetscInt[], const PetscScalar[], const PetscScalar[], const PetscScalar[],
                                                 PetscReal, const PetscReal[], PetscScalar[]),
                                  InsertMode mode, Vec X)

### Input Parameters

| dm | - The DM Many br
| U | - The input field vector Many br
| funcs | - The functions to evaluate, one per field Many br
| mode | - The insertion mode for values Many br

### Output Parameter

X -The output vector Many br

Many br

### See Also

DMProjectFunction(), DMComputeL2Diff()

Level:developer
Location:src/ksp/ksp/utils/dmproject.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages